Bug 112637 - package ordering problem in rpm-4.2.1-0.31?
package ordering problem in rpm-4.2.1-0.31?
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-12-25 12:46 EST by Jonathan Kamens
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 15:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rpm -Uvh --test -vv --oldpackage --force output (219.57 KB, text/plain)
2003-12-25 16:37 EST, Jonathan Kamens
no flags Details
rpm -qa --last output (54.77 KB, text/plain)
2003-12-26 08:38 EST, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2003-12-25 12:46:39 EST
I recently upgraded a bunch of packages, including upgrading gphoto2
from 2.1.3-2 to 2.1.3-3 and installing libexif-0.5.12-1 when libexif
wasn't previously installed.  RPM decided to install the new gphoto2
before installing libexif, and I got this error during the gphoto2

/usr/lib/libgphoto2/print-usb-usermap: error while loading shared
libraries: libexif.so.9: cannot open shared object file: No such file
or directory

The gphoto2 package appears to correctly indicate that it depends on
libexif.so.9, so shouldn't rpm have installed libexif before gphoto2?
Comment 1 Jeff Johnson 2003-12-25 15:32:12 EST
Without (at least) a complete -vv log, it's impossible to tell
anything. Partial ordering is exactly that, partial.

Can you supply a complete -vv log?
Comment 2 Jonathan Kamens 2003-12-25 16:36:25 EST
I can't restore my machine to its previous configuration and redo the
upgrade, but I can provide a -vv log of the same packages with
--oldpackage specified.  I'll attach it.
Comment 3 Jonathan Kamens 2003-12-25 16:37:12 EST
Created attachment 96697 [details]
rpm -Uvh --test -vv --oldpackage --force output
Comment 4 Jeff Johnson 2003-12-25 20:09:02 EST
Well, it's a -vv file, thanks for trying.

How about rpm -qa --last, so I can at least see what order
the pkgs were installed?
Comment 5 Jonathan Kamens 2003-12-26 08:38:32 EST
Created attachment 96702 [details]
rpm -qa --last output
Comment 6 Jeremy Katz 2005-04-19 15:05:45 EDT
This should be fixed in newer releases.

Note You need to log in before you can comment on or make changes to this bug.